> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Returns the autopilot of the project with the specified id.

GET https://api.awork.com/api/v1/projects/{projectId}/autopilot

Returns NoContent if the project does not have an autopilot setup.
To get the autopilot data the user needs to be the owner of the project or
must have 'read' permissions of the feature 'project-master-data' globally or in their project role.Any authenticated user.

Reference: https://developers.awork.com/apiv1/autopilot/get-projects-autopilot-by-project-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required) — The id of the project.

## Response

### 200

OK

- `type` (string, required) — The type of the autopilot.
- `enabled` (boolean, required) — Whether the autopilot is enabled.
- `alerts` (list of AlertForm, required) — The alerts of the autopilot. The collection must contain every alert type returned by GET /autopilot/availablealerts, including alerts that should be disabled.
- `id` (string, optional) — The id of the autopilot.
- `createdOn` (string, optional) — The date this object was created.
- `createdBy` (string, optional) — The id of the user who created this object.
- `updatedOn` (string, optional) — The date this object was last modified.
- `updatedBy` (string, optional) — The id of the user who last modified this object.

## Types

### AlertForm

- `id` (string, required) — The id of the alert.
- `alert` (string, required) — The alert indicator.
- `enabled` (boolean, required) — Whether the alert is enabled.
- `channel` (string, required) — The channel of the alert.

## Examples

**Response**

```json
{
  "type": "agile",
  "enabled": true,
  "alerts": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alert": "due_soon",
      "enabled": true,
      "channel": "email"
    }
  ],
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdOn": "2024-01-15T09:30:00Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2024-01-15T09:30:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
}
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/projects/projectId/autopilot"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/projects/projectId/autopilot';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/projects/projectId/autopilot"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/projects/projectId/autopilot")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.awork.com/api/v1/projects/projectId/autopilot")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.awork.com/api/v1/projects/projectId/autopilot', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/projects/projectId/autopilot");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/projects/projectId/autopilot")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```